package gov.va.vss.service;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.facility.Location;

public interface LocationService {

	Location saveOrUpdate(Location location) throws ServiceValidationException;

	void deleteOrInactivate(long facilityId) throws ServiceValidationException;

	void delete(long facilityId) throws ServiceValidationException;

	void inactivate(long facilityId);

	void reactivate(long facilityId) throws ServiceValidationException;

}
